<?php



/**
 * Конфигурационный файл для клиента postcalc_light.php и библиотеки postcalc_light_lib.php
 *
 * Обязательно настройте переменные st, ml, default_from!!
 * @var $arrPostcalcConfig
 */
global $arrPostcalcConfig;
$arrPostcalcConfig=array(
     // === ИСТОЧНИК ДАННЫХ ===
    'source' => 'txt',              // Источник - либо txt, либо mysql. Для mysql требуется поддержка MySQLi
    'txt_dir' => __DIR__,           // Для txt: размещение текстовых файлов данных, по умолчанию - каталог postcalc_light_lib
    'mysql_host' => 'localhost',    // Для mysql: имя хоста
    'mysql_user' => 'testuser',     // Для mysql: имя пользователя БД
    'mysql_pass' => 'testpass',     // Для mysql: пароль пользователя БД
    'mysql_db'   => 'postcalc',     // Для mysql: имя базы данных
    
    // === НАСТРОЙКИ ЗАПРОСА ===
    'key' => 'test',              // Ключ доступа, который необходимо получить в личном кабинете. С тестовым ключом - не более 50 запросов в сутки с одного IP.
    'ib' => 'f',                  // База страховки - полная f или частичная p
    'r' => 0.01,                  // Округление вверх поля ОценкаПолная при ответе по API. 0.01 - округление до копеек, 1 - до рублей
    'pr' => 0,                    // Наценка в рублях за обработку заказа
    'pk' => 0,                    // Наценка в рублях за упаковку одного отправления
    'cs' => 'utf-8',              // Кодировка - utf-8 или windows-1251
    'd'  =>'now',                 // Дата - в формате, который понимает strtotime(), например, '+7days','10.10.2014'
    'city_as_pindex' => 1,        // Если 1, то в запрос вместо нас.пункта будет подставлен его почтовый индекс по умолчанию.
                                  // Настоятельно рекомендуется оставить city_as_pindex равным 1!
         
    // === НАСТРОЙКИ ВЕБ-ФОРМЫ ===
    'default_from' => '101000',   // Отделение отправителя по умолчанию. 101000 - Московский главпочтамт.
    'hide_from' => 0,             // Скрыть поле "Откуда".
    'autocomplete_items' => 20,   // Число элементов в списке автодополнения для полей "Откуда" и "Куда"
    
    // === ЖУРНАЛ СОЕДИНЕНИЙ И СТАТИСТИКА ===
    'log' => 1,                    // Если 1, ведет в cache_dir журнал соединений вида postcalc_light_YYYY-MM.log
                                   // Учтите, что при перезагрузке сервера временный каталог по умолчанию (/tmp)
                                   // обычно очищается и журналы удаляются, поэтому задайте для cache_dir иной каталог.
    'error_log' => 1,              // Если 1, ведет в cache_dir журнал ошибок соединения вида postcalc_light_error_YYYY-MM.log
    'error_log_send' => 10,        // Число ошибок соединения, после которых по адресу ml отсылается извещение об ошибках.
                                   // Если 0, извещение не отсылается.
    'pass' => '',                  // Пароль для доступа к статистике. Если пустая строка - не запрашивается.
    'pass_keep_days' => 365,       // Сколько хранить пароль в куки. 0 - хранить в течение сеанса.
    
    // === НАСТРОЙКИ СОЕДИНЕНИЯ ===
    'cache_dir' => sys_get_temp_dir(),  // Каталог кэширования - любой, в который веб-сервер имеет право записи
    'cache_valid' => 600,           // Время в секундах, после которого кэш считается устаревшим
    'timeout' => 5,                 // Время ожидания ответа сервера в секундах
     //Список серверов для беплатной версии
    'servers' => array('api.postcalc.ru', 'test.postcalc.ru'),
    //Список серверов для коммерческой версии
    //'servers'=>array('pro.postcalc.ru', 'pro2.postcalc.ru', 'api.postcalc.ru', 'test.postcalc.ru'),
    
     
    // === НАСТРОЙКИ ВЫВОДА ВЕБ-КЛИЕНТА ===
    /* Режим отладки. Если 1 - под таблицей с тарифами выводится полный массив ответа сервера.
     Обратите внимание на параметры _request и _server в самом конце - это переменные, которые были в запросе,
     и некоторые переменные ответа сервера.
     Переменная [_server][REMOTE_ADDR] содержит реальный IP, с которого ушел ваш запрос.
     */
    'debug' => 0,
    /* Какие колонки таблицы показывать. */
    'arrColumns' => array(
       'Количество' => 1,
       'Тариф' => 1,
       'Страховка' => 1,
       'Доставка' => 1,
       'Ценность' => 1,
       'СрокДоставки' => 1,
    ),
    /*
    Массив названий почтовых отправлений, который выводится в клиенте. На запрос не влияет.
    Если какие-то почтовые отправления выводить не нужно, просто закомментируйте их.
    */
     'arrParcels' => array(
        'ПростаяБандероль',
        'ЗаказнаяБандероль',
        'ЗаказнаяБандероль1Класс',
        'ЦеннаяБандероль',
        'ЦеннаяПосылка',
        'ЦеннаяБандероль1Класс',
        'Посылка1Класс',
        'EMS',
        'ПосылкаОнлайн',
        'КурьерОнлайн',
        'ПростоеПисьмо',
        'ЗаказноеПисьмо',
        'ЦенноеПисьмо',
        'ПростойМультиконверт',
        'ЗаказнойМультиконверт',
        'МждМешокМ',
        'МждМешокМАвиа',
        'МждМешокМЗаказной',
        'МждМешокМАвиаЗаказной',
        'МждБандероль',
        'МждБандерольАвиа',
        'МждБандерольЗаказная',
        'МждБандерольАвиаЗаказная',
        'МждМелкийПакет',
        'МждМелкийПакетАвиа',
        'МждМелкийПакетЗаказной',
        'МждМелкийПакетАвиаЗаказной',
        'EMS_МждДокументы',
        'EMS_МждТовары',
     ),
    /*
    Дизайн страницы - одна из 24 тем оформления jQuery UI.
    Для просмотра тем пройдите по ссылке:
    http://jqueryui.com/themeroller/
    Слева на странице в виде вертикальной колонки с черным фоном находится ThemeRoller. Щелкните по второй закладке "Gallery" -
    появятся изображения календарей с разным дизайном. Если вы нажмете по изображению одного из календарей, его дизайн будет
    присвоен всей странице. Названия тем соответствуют ключам массива arrSkins.
     */
    'skin' => 'Start',
    'arrSkins' => array(
        'Base' => 'base',
        'Black Tie' => 'black-tie',
        'Blitzer' => 'blitzer',
        'Cupertino' => 'cupertino',
        'Dark Hive' => 'dark-hive',
        'Dot Luv' => 'dot-luv',
        'Eggplant' => 'eggplant',
        'Excite Bike' => 'excite-bike',
        'Flick' => 'flick',
        'Hot Sneaks' => 'hot-sneaks',
        'Humanity' => 'humanity',
        'Le Frog' => 'le-frog',
        'Mint Choc' => 'mint-choc',
        'Overcast' => 'overcast',
        'Pepper Grinder' => 'pepper-grinder',
        'Redmond' => 'redmond',
        'Smoothness' => 'smoothness',
        'South Street' => 'south-street',
        'Start' => 'start',
        'Sunny' => 'sunny',
        'Swanky Purse' => 'swanky-purse',
        'Trontastic' => 'trontastic',
        'UI darkness' => 'ui-darkness',
        'UI lightness' => 'ui-lightness',
        'Vader' => 'vader'
    ),
);
